%define oname multiprocessing
Name:           python-module-%oname
Version:        2.6.2.1
Release:        alt2
Summary:        python-multiprocessing

Group:          Development/Python
License:        BSD and LGPLv2+
URL:            http://pypi.python.org/pypi/multiprocessing/
#md5=e67d9b40a9f88f62246a8248faede6c5
Source:        http://pypi.python.org/packages/source/multiprocessing-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

BuildRequires:  python-module-setuptools, python-devel, python-module-sphinx, unzip
BuildPreReq: python-module-sphinx python-module-Pygments
%setup_python_module %oname

%description
`multiprocessing` is a back port of the Python 2.6/3.0 `multiprocessing`
package. The multiprocessing package itself is a renamed and updated
version of R Oudkerk's `pyprocessing` package.
This standalone variant is intended to be compatible with Python 2.4 and
2.5, and will draw it's fixes/improvements from python-trunk.

%prep
%setup -q -n multiprocessing-%version
rm -rf AppTools.egg-info

%if "%__python_version" == "2.5"
%build
%python_build
%make_build doc

%install
%python_install -O1
%endif
 
%files
%doc CHANGES.txt LICENSE.txt README.txt
%if "%__python_version" == "2.5"
%doc build/sphinx/html/*
%python_sitelibdir/*
%endif

%changelog
* Fri Oct 02 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.6.2.1-alt2
- Avoided compilation with python > 2.5

* Wed Sep 30 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.6.2.1-alt1
- Initial build for Sisyphus (thnx Valery Pipin)

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.2.0-1
- Updated

* Thu Jun 04 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-4
- Added README.fedora

* Fri Apr 24 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-3
- Removed AppTools.egg-info directory

* Fri Mar 06 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-2
- Included examples in %%doc, added python-TraitsGUI & python-EnthoughtBase
- as Requires. Added html folder.

* Tue Jan 27 2009 Rakesh Pandit <rakesh@fedoraproject.org> 3.1.0-1
- Initial package
